6.0.0-git
2019-05-21

[#14144] Tag/Label suggestions should be based on nag list
Summary Tag/Label suggestions should be based on nag list
Queue Nag
Queue Version 4.2.5
Type Enhancement
State Rejected
Priority 1. Low
Owners mrubinsk (at) horde (dot) org
Requester x.van_dessel (at) ieee (dot) org
Created 2015-10-23 (1306 days ago)
Due
Updated 2015-10-26 (1303 days ago)
Assigned
Resolved 2015-10-26 (1303 days ago)
Milestone
Patch No

History
2015-10-26 14:09:02 Michael Rubinsky Comment #6
Assigned to Michael Rubinsky
State ⇒ Rejected
Reply to this comment
We cannot assume
users know the tagging style of other users...and no, autocomplete is
not a way to provide this information since you still need to know
the first few letters of the desired tag.
Correct. But proposing values from your own preferences to use them 
into the task list of someone else is even worse.
I understand your specific use case, but it's not the only one 
possible, nor do I think the most common. Personally, if I'm tagging 
some resource, it's because *I* want it to appear in a certain 
search/context. I would have a major "surprise factor" if, while *I* 
was tagging something with one of the tags that *I* use frequently, it 
didn't show up as a choice, but in fact I was shown a list of tags 
that were unfamiliar to me. Changing tags to be per list/resource 
would negate the point of having all of your tags from all 
applications be considered while tagging something.

2015-10-26 09:19:32 x (dot) van_dessel (at) ieee (dot) org Comment #5 Reply to this comment
We cannot assume users know the tagging style of other users...and 
no, autocomplete is not a way to provide this information since you 
still need to know the first few letters of the desired tag.
Correct. But proposing values from your own preferences to use them 
into the task list of someone else is even worse. Then it may even be 
better to forbid the use of tags altogether.

Feel free to close this ticket.

Xavier




2015-10-25 23:17:31 Michael Rubinsky Comment #4 Reply to this comment
Do you see my point?
I do see your point, but this requires you to know exactly how the 
owner of the shared task list wants things tagged. We cannot assume 
users know the tagging style of other users...and no, autocomplete is 
not a way to provide this information since you still need to know the 
first few letters of the desired tag.


2015-10-25 09:44:44 x (dot) van_dessel (at) ieee (dot) org Comment #3 Reply to this comment
Tags are actually per user, not per resource. IMO, this makes sense 
since each user may have his/her own way of categorizing things.
Indeed, and that is why there is a code change needed in Nag.
If you categorize things in groups A1, A2 and A3, and your partner has 
their own task list which uses groups B1, B2 and B3, then all works 
fine as long as each user only uses his own task list.
But when I add a task to the task list of my partner, then I still get 
proposed groups A1, A2 and A3, which does not make sense: the task is 
added to the list of my partner, so that is the person who will have 
to execute the task. And thus that partner wants to see that task 
appear when he/she uses the appropriate group selections B1, B2 or B3.

Do you see my point?

Xavier
2015-10-23 15:57:48 Michael Rubinsky Comment #2
State ⇒ Feedback
Reply to this comment
Tags are actually per user, not per resource. IMO, this makes sense 
since each user may have his/her own way of categorizing things.
2015-10-23 10:10:35 x (dot) van_dessel (at) ieee (dot) org Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 1. Low
Summary ⇒ Tag/Label suggestions should be based on nag list
Queue ⇒ Nag
Milestone ⇒
Patch ⇒ No
Reply to this comment
If a user has update access to 2 ticket lists (his own and another 
one), and he edits or creates a ticket that is in the other ticket 
list, then the parent ticket filter box is correctly set to the list 
of eligible tickets in that ticket list.
However, the suggestions when the user wants to add a tag/label will 
always come from existing labels in the OWN list, not the existing 
labels in the target ticket list.
Just like the drop down for the parent task is adapted, the 
recommended tags/labels suggestions should follow as well.

Saved Queries